Package org.flowable.job.api

# Interface HistoryJobQuery

All Superinterfaces:
  `Query<HistoryJobQuery,HistoryJob>`

public interface HistoryJobQuery extends Query<HistoryJobQuery,HistoryJob>
Allows programmatic querying of `HistoryJob`s.

Author:
  Joram Barrez, Tijs Rademakers

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HistoryJobQuery`
  `exceptionMessage(String exceptionMessage)`
  Only select jobs that failed due to an exception with the given message.
  `HistoryJobQuery`
  `handlerType(String handlerType)`
  Select jobs which have given job handler type
  `HistoryJobQuery`
  `handlerTypes(Collection<String> handlerType)`
  Select jobs which have given job handler type
  `HistoryJobQuery`
  `jobId(String jobId)`
  Only select jobs with the given id
  `HistoryJobQuery`
  `jobTenantId(String tenantId)`
  Only select jobs that have the given tenant id.
  `HistoryJobQuery`
  `jobTenantIdLike(String tenantIdLike)`
  Only select jobs with a tenant id like the given one.
  `HistoryJobQuery`
  `jobWithoutTenantId()`
  Only select jobs that do not have a tenant id.
  `HistoryJobQuery`
  `locked()`
  Only return jobs that are locked (i.e. they are acquired by an executor).
  `HistoryJobQuery`
  `lockOwner(String lockOwner)`
  Only return jobs with the given lock owner.
  `HistoryJobQuery`
  `orderByJobId()`
  Order by job id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `HistoryJobQuery`
  `orderByJobRetries()`
  Order by retries (needs to be followed by `Query.asc()` or `Query.desc()`).
  `HistoryJobQuery`
  `orderByTenantId()`
  Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `HistoryJobQuery`
  `scopeType(String scopeType)`
  Only select jobs with the given scope type.
  `HistoryJobQuery`
  `unlocked()`
  Only return jobs that are not locked.
  `HistoryJobQuery`
  `withException()`
  Only select jobs that failed due to an exception.
  `HistoryJobQuery`
  `withoutScopeType()`
  Only return jobs that do not have a scope type.

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### jobId

    HistoryJobQuery jobId(String jobId)
    Only select jobs with the given id

  - ### handlerType

    HistoryJobQuery handlerType(String handlerType)
    Select jobs which have given job handler type

  - ### handlerTypes

    HistoryJobQuery handlerTypes(Collection<String> handlerType)
    Select jobs which have given job handler type

  - ### withException

    HistoryJobQuery withException()
    Only select jobs that failed due to an exception.

  - ### exceptionMessage

    HistoryJobQuery exceptionMessage(String exceptionMessage)
    Only select jobs that failed due to an exception with the given message.

  - ### scopeType

    HistoryJobQuery scopeType(String scopeType)
    Only select jobs with the given scope type.

  - ### withoutScopeType

    HistoryJobQuery withoutScopeType()
    Only return jobs that do not have a scope type.

  - ### jobTenantId

    HistoryJobQuery jobTenantId(String tenantId)
    Only select jobs that have the given tenant id.

  - ### jobTenantIdLike

    HistoryJobQuery jobTenantIdLike(String tenantIdLike)
    Only select jobs with a tenant id like the given one.

  - ### jobWithoutTenantId

    HistoryJobQuery jobWithoutTenantId()
    Only select jobs that do not have a tenant id.

  - ### lockOwner

    HistoryJobQuery lockOwner(String lockOwner)
    Only return jobs with the given lock owner.

  - ### locked

    HistoryJobQuery locked()
    Only return jobs that are locked (i.e. they are acquired by an executor).

  - ### unlocked

    HistoryJobQuery unlocked()
    Only return jobs that are not locked.

  - ### orderByJobId

    HistoryJobQuery orderByJobId()
    Order by job id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByJobRetries

    HistoryJobQuery orderByJobRetries()
    Order by retries (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByTenantId

    HistoryJobQuery orderByTenantId()
    Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).